Bug 991267 - [RFE] Add TUI information to log file.
[RFE] Add TUI information to log file.
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
3.3
Unspecified Linux
high Severity high
: ---
: 3.4.1
Assigned To: Fabian Deutsch
bugs@ovirt.org
node
: AutomationBlocker, FutureFeature
Depends On:
Blocks: 999348 1013547
  Show dependency treegraph
 
Reported: 2013-08-01 23:16 EDT by Yaning Wang
Modified: 2015-12-02 08:34 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 999348 1013547 (view as bug list)
Environment:
Last Closed: 2014-04-08 10:36:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 17959 None None None Never
oVirt gerrit 18927 None None None Never

  None (edit)
Description Yaning Wang 2013-08-01 23:16:49 EDT
Description of problem:

1. In rhevh64 or lower version, when you switch the tabs in TUI(snack), the TUI will add the message like "Current Page is 1" into `ovirt.log`. This is very helpful for TUI related automation-case.
But this message can not be found in log files anymore in rhevh65.
So please add equivalent function in rhevh65

2. In rhevh64 or lower version, there is a built-in hot key `F12`. This hot key will reset the cursor to the  initial position. 
So please add equivalent hot-key in rhevh65
Comment 1 Ying Cui 2013-08-12 02:17:25 EDT
 Priority: High
 Severity: High
Comment 2 Fabian Deutsch 2013-08-12 06:18:15 EDT
Tested as follows:

1. Log into UI w/ patch
2. Enter Network page
3. Press F12
4. Status page was shown again
Comment 3 Fabian Deutsch 2013-09-02 05:28:47 EDT
There is now also a log entry in the logfile saying:

"Current page is '…'" using the page name.
Comment 4 Fabian Deutsch 2013-09-06 07:51:24 EDT
Hey Yaning,

I gave it another try.

Tested as follows:
1. Apply patch
2. Start UI in dev mode:
PYTHONPATH=src/ scripts/ovirt-node-setup --dry --defaults /tmp/cfg_dummy
3. $ grep "Current page" /tmp/ovirt-node.debug.log .../ovirt/gerrit/ovirt-node/src/ovirt/node/app.py:236:switch_to_plugin: Current page is 'Status'
Comment 5 Sandro Bonazzola 2013-11-27 05:06:23 EST
Fabian, all patches in External Trackers are merged.

I suppose this should be at least in modified (if not closed with latest node release). Can you also set target release?
Comment 6 Sandro Bonazzola 2014-02-04 07:38:28 EST
re-targeting to 3.3.4, waiting for Fabian answer.
Comment 7 Sandro Bonazzola 2014-03-04 06:02:20 EST
this is an automated message.
Moving remaining open bugs targeting 3.3.4 to 3.4.1.
If relevant for 3.3-stable, please reset target version accordingly.
Comment 10 Fabian Deutsch 2014-04-08 10:36:36 EDT
This has been fixed long ago.

Note You need to log in before you can comment on or make changes to this bug.